#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 test-framework
version:              0.8.2.0
visibility:           public
id:                   test-framework-0.8.2.0-FANAf4Qbpr4bVGKBiqRme
key:                  test-framework-0.8.2.0-FANAf4Qbpr4bVGKBiqRme
license:              BSD-3-Clause
maintainer:           Libraries List <libraries@haskell.org>
author:               Max Bolingbroke <batterseapower@hotmail.com>
homepage:             http://haskell.github.io/test-framework/
synopsis:
    Framework for running and organising tests, with HUnit and QuickCheck support

description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.

category:             Testing
abi:                  6f0514c6ab37763d2eea62f2a1213c8d
exposed:              True
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.API Test.Framework.Runners.Console
    Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
    Test.Framework.Seed

hidden-modules:
    Test.Framework.Core Test.Framework.Improving
    Test.Framework.Runners.Console.Colors
    Test.Framework.Runners.Console.ProgressBar
    Test.Framework.Runners.Console.Run
    Test.Framework.Runners.Console.Statistics
    Test.Framework.Runners.Console.Table
    Test.Framework.Runners.Console.Utilities
    Test.Framework.Runners.Core Test.Framework.Runners.Processors
    Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
    Test.Framework.Runners.TimedConsumption
    Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
    Test.Framework.Utilities

import-dirs:          /usr/lib/ghc-9.2.8/site-local/test-framework-0.8.2.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/test-framework-0.8.2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-test-framework
hs-libraries:         HStest-framework-0.8.2.0-FANAf4Qbpr4bVGKBiqRme
depends:
    ansi-terminal-1.0-2Dy6EcOyzCs5KJfp1yey2W
    ansi-wl-pprint-0.6.9-EZjk5ob3WIHGo2ttvzQObo base-4.16.4.0
    containers-0.6.5.1 hostname-1.0-7J3r6zYiFrqIUVPbgMuhYv
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    random-1.2.1.2-J2kNTIfDe6kLtetNcMKX2m
    regex-posix-0.96.0.1-Genc39RUTH74GYzEFB6fWq time-1.11.1.1
    xml-1.3.14-6RhFPlxQprr192No4Dq3gf

haddock-interfaces:
    /usr/share/doc/haskell-test-framework/html/test-framework.haddock

haddock-html:         /usr/share/doc/haskell-test-framework/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

